org.apache.flume.agent.embedded

## Class EmbeddedSource

- java.lang.Object
- - org.apache.flume.source.AbstractSource
  - - org.apache.flume.agent.embedded.EmbeddedSource

- All Implemented Interfaces:
    Configurable, EventDrivenSource, LifecycleAware, NamedComponent, Source

      @InterfaceAudience.Private
      @InterfaceStability.Unstable
      public class EmbeddedSource
      extends AbstractSource
      implements EventDrivenSource, Configurable

  Simple source used to allow direct access to the channel for the Embedded Agent.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EmbeddedSource()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `configure(Context context)` Request the implementing class to (re)configure itself.
    `void` | `put(Event event)`
    `void` | `putAll(List<Event> events)`

    - ### Methods inherited from class org.apache.flume.source.AbstractSource

      `getChannelProcessor, getLifecycleState, getName, setChannelProcessor, setName, start, stop, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.flume.Source

      `getChannelProcessor, setChannelProcessor`

    - ### Methods inherited from interface org.apache.flume.lifecycle.LifecycleAware

      `getLifecycleState, start, stop`

    - ### Methods inherited from interface org.apache.flume.NamedComponent

      `getName, setName`

- - ### Constructor Detail

    - #### EmbeddedSource

          public EmbeddedSource()

  - ### Method Detail

    - #### configure

          public void configure(Context context)

      Description copied from interface: `Configurable`

      Request the implementing class to (re)configure itself.

      When configuration parameters are changed, they must be reflected by the component asap.

      There are no thread safety guarantees on when configure might be called.

      Specified by:
        `configure` in interface `Configurable`

    - #### put

          public void put(Event event)
                   throws ChannelException

      Throws:
        `ChannelException`

    - #### putAll

          public void putAll(List<Event> events)
                      throws ChannelException

      Throws:
        `ChannelException`

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.